#include <windows.h>
#include <stdio.h>

typedef int (*TexportedFunction)();

int main()
{
    HINSTANCE libInstance;
    TexportedFunction exportedFunction;
    
    libInstance = LoadLibrary("Test.dll");
    if (!libInstance)
        {
        printf("Unable to load Test.dll\n");
        fflush(stdout);
        exit(1);
        }

    exportedFunction = (TexportedFunction) GetProcAddress(libInstance,"exportedFunction");
    if (!exportedFunction)
        {
        printf("Unable to load function exportedFunction.\n");
        fflush(stdout);
        exit(1);
        }

    printf("Calling...\n");
    fflush(stdout);
    printf("Results: %d\n", exportedFunction());
    fflush(stdout);
}
